Skip to navigation

Update an AA sequence

Update an AA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

aa_sequence_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the AA sequence
aminoAcidsstringOptional
Amino acids for the AA sequence.
annotationslist of objectsOptional
Annotations to create on the AA sequence.
authorIdslist of stringsOptional
IDs of users to set as the AA sequence's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the AA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional
Fields to set on the AA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the AA sequence.
namestringOptional
Name of the AA sequence.
schemaIdstringOptional
ID of the AA sequence's schema.

Response

OK
aliaseslist of stringsOptional
Array of aliases
aminoAcidsstringOptional
Amino acids of the AA sequence.
annotationslist of objectsOptional
Array of annotation objects on the AA sequence.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the AA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
createdAtdatetimeOptionalRead-only
DateTime the AA sequence was created.
creatorobjectOptional
customFieldsmap from strings to objectsOptional
Custom fields set on the AA sequence.
entityRegistryIdstring or nullOptional
Registry ID of the AA sequence if registered.
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
ID of the folder that contains the AA sequence.
idstringOptional
ID of the AA sequence.
lengthintegerOptional
Number of amino acids in the AA sequence.
modifiedAtdatetimeOptionalRead-only
DateTime the AA sequence was last modified.
namestringOptional
Name of the AA sequence.
registrationOriginobject or nullOptional
registryIdstring or nullOptional
Registry the AA sequence is registered in.
schemaobject or nullOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-onlyformat: "uri"
URL of the AA sequence.

Errors

400
Bad Request Error